libetonyek::IWAObjectIndex::ObjectRecord Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libetonyek::IWAObjectIndex::ObjectRecord Struct Reference

`#include <IWAObjectIndex.h>`

## Public Member Functions
| ObjectRecord ()
| ObjectRecord (const RVNGInputStreamPtr_t &stream, unsigned type, long pos, unsigned long headerLen, unsigned long dataLen)

## Public Attributes
RVNGInputStreamPtr_t | m_stream
unsigned | m_type
std::pair< long, long > | m_headerRange
std::pair< long, long > | m_dataRange

## Constructor & Destructor Documentation

## ◆ ObjectRecord() [1/2]

libetonyek::IWAObjectIndex::ObjectRecord::ObjectRecord | ( |  | ) |

## ◆ ObjectRecord() [2/2]

libetonyek::IWAObjectIndex::ObjectRecord::ObjectRecord | ( | const RVNGInputStreamPtr_t & | stream,
|  | unsigned | type,
|  | long | pos,
|  | unsigned long | headerLen,
|  | unsigned long | dataLen )

## Member Data Documentation

## ◆ m_dataRange

std::pair<long, long> libetonyek::IWAObjectIndex::ObjectRecord::m_dataRange

Referenced by ObjectRecord(), ObjectRecord(), libetonyek::IWAObjectIndex::parse(), libetonyek::IWAObjectIndex::queryObject(), libetonyek::IWAObjectIndex::scanColorFileCorrespondance(), and libetonyek::IWAObjectIndex::scanColorFileMap().

## ◆ m_headerRange

std::pair<long, long> libetonyek::IWAObjectIndex::ObjectRecord::m_headerRange

Referenced by ObjectRecord(), and ObjectRecord().

## ◆ m_stream

RVNGInputStreamPtr_t libetonyek::IWAObjectIndex::ObjectRecord::m_stream

Referenced by ObjectRecord(), ObjectRecord(), libetonyek::IWAObjectIndex::parse(), libetonyek::IWAObjectIndex::queryObject(), libetonyek::IWAObjectIndex::scanColorFileCorrespondance(), and libetonyek::IWAObjectIndex::scanColorFileMap().

## ◆ m_type

unsigned libetonyek::IWAObjectIndex::ObjectRecord::m_type

Referenced by ObjectRecord(), ObjectRecord(), and libetonyek::IWAObjectIndex::queryObject().

The documentation for this struct was generated from the following files:

- IWAObjectIndex.h
- IWAObjectIndex.cpp